#pragma once

#include "ResizableLib/ResizableSheet.h"

// SLUGFILLER: modelessDialogs

// CModelessPropertySheet

class CModelessPropertySheet : public CPropertySheet {
	DECLARE_DYNAMIC(CModelessPropertySheet)

public:
	CModelessPropertySheet(BOOL bDeleteOnClose = FALSE);
	void OpenDialog();
	void CloseDialog();

	afx_msg void OnOK();
	afx_msg void OnCancel();

protected:
	virtual BOOL OnInitDialog();
	afx_msg void PostNcDestroy();
	DECLARE_MESSAGE_MAP()

private:
	BOOL			m_bActive;
	BOOL			m_bDeleteOnClose;
};

// CModelessResizableSheet

class CModelessResizableSheet : public CResizableSheet {
	DECLARE_DYNAMIC(CModelessResizableSheet)

public:
	CModelessResizableSheet(BOOL bDeleteOnClose = TRUE);
	void OpenDialog();
	void CloseDialog();

	afx_msg void OnOK();
	afx_msg void OnCancel();

protected:
	virtual BOOL OnInitDialog();
	afx_msg void PostNcDestroy();
	DECLARE_MESSAGE_MAP()

private:
	BOOL			m_bActive;
	BOOL			m_bDeleteOnClose;
};

class CPreferencesPage : public CPropertyPage
{
	DECLARE_DYNAMIC(CPreferencesPage)

public:
	CPreferencesPage(UINT nIDTemplate);

protected:
	DECLARE_MESSAGE_MAP()

public:
	virtual BOOL OnSetActive();
};
