#pragma once

#include "preferences.h"
#include "wizard.h"

// CPPgPhoenix1 dialog
class CPPgPhoenix1 : public CPreferencesPage // [TPT] - SLUGFILLER: modelessDialogs
{
	DECLARE_DYNAMIC(CPPgPhoenix1)

public:
	CPPgPhoenix1();
	virtual ~CPPgPhoenix1();

	void Localize(void);
	void LoadSettings();


	// Dialog Data
	enum { IDD = IDD_PPG_MAELLA }; 

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
//[TPT]- TBH-AutoBackup
private:
	void Backup2(LPCSTR extensionToBack);
	BOOL y2All;
//[TPT]- TBH-AutoBackup
public:
	virtual BOOL OnApply();
	virtual BOOL OnInitDialog();
	//[TPT]- TBH-AutoBackup
	afx_msg void OnBnClickedSelectall();
	afx_msg void OnBnClickedBackupnow();
	afx_msg void OnBnAutobackup();
	afx_msg void OnBnClickedPartMet();
	afx_msg void OnBnClickedPart();
	afx_msg void OnBnClickedIni();
	afx_msg void OnBnClickedMet();
	afx_msg void OnBnClickedDat();
	//[TPT]- TBH-AutoBackup
	afx_msg void OnNAFCChange();
	afx_msg void OnSettingsChange() { SetModified(TRUE); }
	afx_msg void OnTabSelectionChange(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnQuickStartChange(void); // [TPT] - quick start
	afx_msg void OnCorruptionCheckChange();	
	//[TPT]- TBH-AutoBackup
	void Backup3();
	void Backup(LPCSTR extensionToBack, BOOL conFirm);
	bool CheckAnyActive();
	//[TPT]- TBH-AutoBackup
protected:
	CPreferences *app_prefs;

private:
	enum eTab {NONE, UPLOAD, CONNECTION, SERVER, LOGFILTER, SECURITY, BACKUP}; //[TPT]- TBH-AutoBackup
	void SetTab(eTab tab);

	void InitTab();
	void InitControl();	

	// Tab	
	CTabCtrl   m_tabCtr;
	eTab       m_currentTab;
	CImageList m_imageList;

	//CONEXION -----------------------------------------------------------
	// [TPT] - quick start
	CButton m_iQuickStart; 
	CEdit m_iMaxConnPerFive;
	CStatic m_iMaxConnPerFiveStatic;
	CEdit m_iMaxConn;
	CStatic m_iMaxConnStatic;
	// [TPT] - quick start
	CButton m_compOverheadCheck;
	CButton  m_QuickGroupBox;

	CEdit   m_MTUEdit;
	CStatic m_MTUStatic;
	CEdit   m_sndSocketSizeEdit;
	CStatic m_sndSocketSizeStatic;

	CButton  m_iManageConnection; // [TPT] - Pawcio: MAC

	//SUBIDAS ------------------------------------------------------------
	CButton  m_NAFCGroupBox;
	CStatic  m_NAFCStatic;
	CButton  m_NAFCCheck01;
	CButton  m_NAFCCheck02;
	CNumEdit m_NAFCEdit;
	CEdit   m_minSlotEdit;
	CStatic m_minSlotStatic;	
	CButton	 m_iCumulateBW; //[TPT]-Cumulate Bandwidth
	CButton  m_iMinimizeSlots; // [TPT] - Pawcio: MUS
    CButton m_newUploadSlotSharpingCheck;
	CButton m_uploadTweaks;
	//SERVIDOR -----------------------------------------------------------
	CButton m_XSCheck;

	CButton m_reaskSourceAfterIPChangeCheck;
	//SEGURIDAD ----------------------------------------------------------
	CButton m_corruptionGroupBox;
	CButton m_corruptionCheck;
	CButton m_skipCorruptionCDCheck;
	
	//[TPT] - eWombat SNAFU v2
	CButton  m_SnafuGroupBox;
	CButton  m_iSnafu;
	CButton	 m_iAntiFriendshare;
	CButton  m_iAntiCreditTheft;


	CStatic m_userHashStatic;
	CEdit   m_userHashEdit;
	//LOG FILTERS --------------------------------------------------------
	CButton m_filterVerboseGroupbox;
	CButton m_filterVerboseCheck01;
	CButton m_filterVerboseCheck05;
	CButton m_filterVerboseCheck06;
	CButton m_filterVerboseCheck07;
	CButton m_filterVerboseCheck08;
	CButton m_filterVerboseCheck09;
	CButton m_filterVerboseCheck10;
	
	//BACKUP --------------------------------------------------------------
	//[TPT]- TBH-AutoBackup
	CButton m_backupDAT;
	CButton m_backupMET;
	CButton m_backupINI;
	CButton m_backupPARTMET;
	CButton m_backupPART;
	CButton m_backupNow;
	CButton m_selectall;
	CButton m_AutoBackup;
	CButton m_AutoBackup2;
	CButton m_AutoBackupBox;
	CButton m_backupFilesBox;
	CStatic m_backupStatic;
	CButton m_backupStaticBox;
};