// PPgPhoenix1.cpp : implementation file
//

#include "stdafx.h"
#include "emule.h"
#include "Modeless.h"	// [TPT] - SLUGFILLER: modelessDialogs
#include "PPgPhoenix1.h"
#include "preferences.h"
#include "PreferencesDlg.h"
#include "HttpDownloadDlg.h"
#include "BandwidthControl.h"
#include "EmuleDlg.h"
#include "SharedFilesWnd.h"
#include "TransferWnd.h"
#include "opcodes.h"
#include "XMessageBox.h" //[TPT]- TBH-AutoBackup

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

// CPPgPhoenix1 dialog

IMPLEMENT_DYNAMIC(CPPgPhoenix1, CPreferencesPage) // [TPT] - SLUGFILLER: modelessDialogs
CPPgPhoenix1::CPPgPhoenix1()
	: CPreferencesPage(CPPgPhoenix1::IDD) // [TPT] - SLUGFILLER: modelessDialogs
{	

}

CPPgPhoenix1::~CPPgPhoenix1()
{
}

void CPPgPhoenix1::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_PPG_MAELLA_TAB, m_tabCtr);
}

BEGIN_MESSAGE_MAP(CPPgPhoenix1, CPreferencesPage) // [TPT] - SLUGFILLER: modelessDialogs
	// TAB control
	ON_NOTIFY(TCN_SELCHANGE, IDC_PPG_MAELLA_TAB, OnTabSelectionChange)

	//--------------------------------------------------------------BEGIN-

	//CONEXION -----------------------------------------------------------
	// Maella -Overhead compensation (pseudo full rate control)-
	ON_BN_CLICKED(IDC_PPG_MAELLA_COMPENSATEOVERHEAD, OnSettingsChange)
	// Maella -MTU Configuration-
	ON_EN_CHANGE(IDC_PPG_MAELLA_MTU_EDIT, OnSettingsChange) 
	// Maella -Send Socket Size-
	ON_EN_CHANGE(IDC_PPG_MAELLA_SND_SOCKET_SIZE_EDIT, OnSettingsChange) 
	// [TPT] - quick start
	ON_BN_CLICKED(IDC_PPG_PHOENIX_QUICKSTART, OnQuickStartChange)  

	// [TPT] - Pawcio: MAC
	ON_BN_CLICKED(IDC_PPG_PHOENIX_MANAGECONNECTION, OnSettingsChange) 


	//SUBIDAS ------------------------------------------------------------
	// Maella -NAFC-	
	ON_EN_CHANGE(IDC_PPG_MAELLA_NAFC_EDIT, OnSettingsChange) 
	ON_BN_CLICKED(IDC_PPG_MAELLA_NAFC_CHECK01, OnNAFCChange) 
	ON_BN_CLICKED(IDC_PPG_MAELLA_NAFC_CHECK02, OnNAFCChange) 
	// Maella -Minimum Upload Slot-
	ON_EN_CHANGE(IDC_PPG_MAELLA_MIN_SLOT_EDIT, OnSettingsChange) 
	// Maella - New Upload Slot Sharping-
	ON_BN_CLICKED(IDC_PPG_MAELLA_NUSS_CHECK01, OnSettingsChange)
	//[TPT]-Cumulate Bandwidth
	ON_BN_CLICKED(IDC_PPG_PHOENIX_CUMULATEBW, OnSettingsChange) 
	// [TPT] - Pawcio: MUS
	ON_BN_CLICKED(IDC_PPG_PHOENIX_MINIMIZESLOTS, OnSettingsChange) 	


	//SERVIDOR -----------------------------------------------------------
	// Maella -Enable/Disable source exchange in preference- (Tarod)
	ON_BN_CLICKED(IDC_PPG_MAELLA_XS_CHECK, OnSettingsChange) 
	ON_BN_CLICKED(IDC_PPG_MAELLA_REASK_SOURCE_AFTER_IP_CHANGE_CHECK, OnSettingsChange) 

	//SEGURIDAD ----------------------------------------------------------
	// Maella -Defeat 0-filled Part Senders- (Idea of xrmb)
	ON_BN_CLICKED(IDC_PPG_MAELLA_CORRUPTION_CHECK, OnCorruptionCheckChange) 
	ON_BN_CLICKED(IDC_PPG_MAELLA_SKIP_CORRUPTION_CD_CHECK, OnSettingsChange) 
	//[TPT] - eWombat SNAFU v2begin
	ON_BN_CLICKED(IDC_PPG_PHOENIX_SNAFU_CHECK, OnSettingsChange) 
	ON_BN_CLICKED(IDC_PPG_PHOENIX_ACT_CHECK, OnSettingsChange) 
	ON_BN_CLICKED(IDC_PPG_PHOENIX_FRIENDSHARE_CHECK, OnSettingsChange) 
	//[TPT] - eWombat SNAFU v2end


	//LOG FILTERS --------------------------------------------------------
	// Maella -Filter verbose messages-
	ON_BN_CLICKED(IDC_PPG_MAELLA_FILTER_VERBOSE_CHECK01, OnSettingsChange)
	ON_BN_CLICKED(IDC_PPG_MAELLA_FILTER_VERBOSE_CHECK04, OnSettingsChange) 
	ON_BN_CLICKED(IDC_PPG_MAELLA_FILTER_VERBOSE_CHECK05, OnSettingsChange) 
	ON_BN_CLICKED(IDC_PPG_MAELLA_FILTER_VERBOSE_CHECK06, OnSettingsChange) 
	ON_BN_CLICKED(IDC_PPG_MAELLA_FILTER_VERBOSE_CHECK07, OnSettingsChange) 
	ON_BN_CLICKED(IDC_PPG_MAELLA_FILTER_VERBOSE_CHECK08, OnSettingsChange) 
	ON_BN_CLICKED(IDC_PPG_MAELLA_FILTER_VERBOSE_CHECK09, OnSettingsChange)  // [TPT] - Filter own messages
	ON_BN_CLICKED(IDC_PPG_MAELLA_FILTER_VERBOSE_CHECK10, OnSettingsChange)  // [TPT] - Filter Handshake messages


	//BACKUP FILES --------------------------------------------------------
	//[TPT]- TBH-AutoBackup
	ON_BN_CLICKED(IDC_BACKUPNOW, OnBnClickedBackupnow)
	ON_BN_CLICKED(IDC_DAT, OnBnClickedDat)
	ON_BN_CLICKED(IDC_MET, OnBnClickedMet)
	ON_BN_CLICKED(IDC_INI, OnBnClickedIni)
	ON_BN_CLICKED(IDC_PART, OnBnClickedPart)
	ON_BN_CLICKED(IDC_PARTMET, OnBnClickedPartMet)
	ON_BN_CLICKED(IDC_SELECTALL, OnBnClickedSelectall)
	ON_BN_CLICKED(IDC_AUTOBACKUP, OnBnAutobackup)
	ON_BN_CLICKED(IDC_AUTOBACKUP2, OnSettingsChange)

	//----------------------------------------------------------------END-

END_MESSAGE_MAP()

// CPPgPhoenix1 message handlers

BOOL CPPgPhoenix1::OnInitDialog()
{
	CPropertyPage::OnInitDialog();

	// Init the Tab control
	InitTab();

	// Create and Init all controls
	InitControl();

	// Set default tab
	m_currentTab = NONE;
	m_tabCtr.SetCurSel(0);
	SetTab(CONNECTION);//Tab x defecto Conexion

	// Load setting
	LoadSettings();
	Localize();

	return TRUE;  // return TRUE unless you set the focus to a control
	// EXCEPTION: OCX Property Pages should return FALSE
}

void CPPgPhoenix1::LoadSettings()
{

	//--------------------------------------------------------------BEGIN-

	//CONEXION -----------------------------------------------------------
	// Maella -Overhead compensation (pseudo full rate control)-
	m_compOverheadCheck.SetCheck((thePrefs.GetCompensateOverhead() == true) ? BST_CHECKED : BST_UNCHECKED);

	// Maella -MTU Configuration-
	{
		CString buffer;
		buffer.Format(_T("%u"), thePrefs.GetMTU());
		m_MTUEdit.SetWindowText(buffer);
	}
	// Maella -New bandwidth control-
	{
		CString buffer;
		buffer.Format(_T("%u"), thePrefs.GetSendSocketBufferSize());
		m_sndSocketSizeEdit.SetWindowText(buffer);
	}
	// [TPT] - quick start
	m_iQuickStart.SetCheck(thePrefs.GetQuickStart());
	{
		CString buffer;
		buffer.Format(_T("%u"), thePrefs.GetQuickStartMaxConPerFive());
		m_iMaxConnPerFive.EnableWindow(m_iQuickStart.GetCheck() == BST_CHECKED);		
		m_iMaxConnPerFive.SetWindowText(buffer);
		m_iMaxConnPerFiveStatic.EnableWindow(m_iQuickStart.GetCheck() == BST_CHECKED);
		m_iMaxConn.EnableWindow(m_iQuickStart.GetCheck() == BST_CHECKED);
		buffer.Format(_T("%u"), thePrefs.GetQuickStartMaxCon());
		m_iMaxConn.SetWindowText(buffer);
		m_iMaxConnStatic.EnableWindow(m_iQuickStart.GetCheck() == BST_CHECKED);
	}
	// [TPT] - quick start

	m_iManageConnection.SetCheck(thePrefs.IsManageConnection()); // [TPT] - Pawcio: MAC


	//SUBIDAS ------------------------------------------------------------
	// Maella -Network Adapter Feedback Control-
	m_NAFCCheck01.EnableWindow(theApp.pBandWidthControl->IsNAFCAvailable() == true);
	m_NAFCCheck01.SetCheck((thePrefs.GetNAFCEnable() == true) ? BST_CHECKED : BST_UNCHECKED);
	m_NAFCCheck02.EnableWindow(theApp.pBandWidthControl->IsNAFCAvailable() == true && m_NAFCCheck01.GetCheck() != BST_UNCHECKED);
	m_NAFCCheck02.SetCheck((thePrefs.GetNAFCFullControl() == true) ? BST_CHECKED : BST_UNCHECKED);
	{
		CString buffer;
		m_NAFCEdit.EnableWindow(m_NAFCCheck01.GetCheck() == BST_CHECKED);
		buffer.Format(_T("%.1f"), thePrefs.GetNAFCNetworkOut());
		m_NAFCEdit.SetWindowText(buffer);
	}
	// Maella -Minimum Upload Slot-
	{
		CString buffer;
		buffer.Format(_T("%u"), thePrefs.GetMinUploadSlot());
		m_minSlotEdit.SetWindowText(buffer);
	}
	//New Upload slot sharping
	m_newUploadSlotSharpingCheck.SetCheck((thePrefs.GetEnableNewUSS() == true) ? BST_CHECKED : BST_UNCHECKED);
	
	m_iCumulateBW.SetCheck(thePrefs.IsCumulateBandwidthEnabled()); //[TPT]-Cumulate Bandwidth
	m_iMinimizeSlots.SetCheck(thePrefs.MinimizeNumberOfSlots()); // [TPT] - Pawcio: MUS

	

	//SERVIDOR -----------------------------------------------------------
	// Maella -Enable/Disable source exchange in preference- (Tarod)
	m_XSCheck.SetCheck((thePrefs.GetDisabledXS() == true) ? BST_CHECKED : BST_UNCHECKED);
	// Maella -Reask sources after IP change- (idea Xman)
	m_reaskSourceAfterIPChangeCheck.SetCheck((thePrefs.GetReaskSourceAfterIPChange() != true) ? BST_CHECKED : BST_UNCHECKED); // [TPT]

	//SEGURIDAD ----------------------------------------------------------
	// Maella -Defeat 0-filled Part Senders- (Idea of xrmb)
	m_corruptionCheck.SetCheck((thePrefs.GetCorruptionTest() == true) ? BST_CHECKED : BST_UNCHECKED);
	m_skipCorruptionCDCheck.EnableWindow(m_corruptionCheck.GetCheck() != BST_UNCHECKED);
	m_skipCorruptionCDCheck.SetCheck((thePrefs.GetSkipCorruptionCDTest() == true) ? BST_CHECKED : BST_UNCHECKED);
	//[TPT] - eWombat SNAFU v2
	m_iSnafu.SetCheck(thePrefs.GetAntiSnafu());
	m_iAntiCreditTheft.SetCheck(thePrefs.GetAntiCreditTheft());
	m_iAntiFriendshare.SetCheck(thePrefs.GetAntiFriendshare());
	//[TPT] - eWombat SNAFU v2

	//LOG FILTERS --------------------------------------------------------
	// Maella -Filter verbose messages-
	m_filterVerboseCheck01.SetCheck((thePrefs.GetBlockUploadEndMsg() == true) ? BST_CHECKED : BST_UNCHECKED);
	m_filterVerboseCheck01.EnableWindow((thePrefs.GetVerbose() == false) ? FALSE : TRUE);	
	m_filterVerboseCheck05.SetCheck((thePrefs.GetBlockFilteredIPSourceMsg() == true) ? BST_CHECKED : BST_UNCHECKED);
	m_filterVerboseCheck05.EnableWindow((thePrefs.GetVerbose() == false) ? FALSE : TRUE);
	m_filterVerboseCheck06.SetCheck((thePrefs.GetBlockFilteredIPServerMsg() == true) ? BST_CHECKED : BST_UNCHECKED);
	m_filterVerboseCheck06.EnableWindow((thePrefs.GetVerbose() == false) ? FALSE : TRUE);
	m_filterVerboseCheck07.SetCheck((thePrefs.GetBlockMaellaSpecificMsg() == true) ? BST_CHECKED : BST_UNCHECKED);
	m_filterVerboseCheck07.EnableWindow((thePrefs.GetVerbose() == false) ? FALSE : TRUE);
	m_filterVerboseCheck08.SetCheck((thePrefs.GetBlockMaellaSpecificDebugMsg() == true) ? BST_CHECKED : BST_UNCHECKED);
	m_filterVerboseCheck08.EnableWindow((thePrefs.GetVerbose() == false) ? FALSE : TRUE);
	// [TPT] - Filter own messages
	m_filterVerboseCheck09.SetCheck((thePrefs.GetBlockPhoenixMsg() == true) ? BST_CHECKED : BST_UNCHECKED);
	m_filterVerboseCheck09.EnableWindow((thePrefs.GetVerbose() == false) ? FALSE : TRUE);
	// [TPT] - Filter Handshake messages
	m_filterVerboseCheck10.SetCheck((thePrefs.GetBlockHandshakeMsg() == true) ? BST_CHECKED : BST_UNCHECKED);
	m_filterVerboseCheck10.EnableWindow((thePrefs.GetVerbose() == false) ? FALSE : TRUE);

	//BACKUP ---------------------------------------------------------------
	//[TPT] - TBH-Autobackup
	m_AutoBackup.SetCheck(thePrefs.GetAutoBackup());
	m_AutoBackup2.SetCheck(thePrefs.GetAutoBackup2());



	//----------------------------------------------------------------END-

}

BOOL CPPgPhoenix1::OnApply()
{	
	//--------------------------------------------------------------BEGIN-

	//CONEXION -----------------------------------------------------------
	// Maella -Overhead compensation (pseudo full rate control)-
	thePrefs.SetCompensateOverhead(m_compOverheadCheck.GetCheck() != BST_UNCHECKED);

	// Maella -MTU Configuration-
	{
		CString buffer;
		m_MTUEdit.GetWindowText(buffer);
		int MTU = _tstoi(buffer);
		if(MTU > 1500) MTU = 1500;
		if(MTU < 250) MTU = 250;
		thePrefs.SetMTU(MTU);
	}
	// Maella -New bandwidth control-
	{
		CString buffer;
		m_sndSocketSizeEdit.GetWindowText(buffer);
		int sendSocketBufferSize = _tstoi(buffer);
		if(sendSocketBufferSize > 8192) sendSocketBufferSize = 8192;
		if(sendSocketBufferSize < MINIMUM_SEND_BUFFER_SIZE) sendSocketBufferSize = MINIMUM_SEND_BUFFER_SIZE;
		thePrefs.SetSendSocketBufferSize(sendSocketBufferSize);
	}
	// [TPT] - quick start
	thePrefs.m_QuickStart = m_iQuickStart.GetCheck();
	if (m_iQuickStart.GetCheck() == BST_CHECKED)
	{
		CString buffer;
		m_iMaxConn.GetWindowText(buffer);
		int maxConn = _tstoi(buffer);
		thePrefs.SetQuickStartMaxCon(maxConn);
		m_iMaxConnPerFive.GetWindowText(buffer);
		maxConn = _tstoi(buffer);
		thePrefs.SetQuickStartMaxConPerFive(maxConn);
	}
	// [TPT] - quick start


	thePrefs.SetManageConnection(m_iManageConnection.GetCheck() != BST_UNCHECKED); // [TPT] - Pawcio: MAC


	//SUBIDAS ------------------------------------------------------------
	// Maella -Network Adapter Feedback Control-
	thePrefs.SetNAFCEnable(m_NAFCCheck01.GetCheck() == BST_CHECKED);
	thePrefs.SetNAFCFullControl(m_NAFCCheck02.GetCheck() == BST_CHECKED);
	if(m_NAFCCheck01.GetCheck() == BST_CHECKED){
		CString buffer;
		m_NAFCEdit.GetWindowText(buffer);
		double networkOut = _tstof(buffer);
		thePrefs.SetNAFCNetworkOut(networkOut);
	}
	// Maella -Minimum Upload Slot-
	{
		CString buffer;
		m_minSlotEdit.GetWindowText(buffer);
		int minUploadSlot = _tstoi(buffer);
		if(minUploadSlot > 4) minUploadSlot = 4;
		if(minUploadSlot < 2) minUploadSlot = 2;
		thePrefs.SetMinUploadSlot(minUploadSlot);
	}
	//new upload slot sharping
    thePrefs.SetEnableNewUSS(m_newUploadSlotSharpingCheck.GetCheck() != BST_UNCHECKED);
	
	thePrefs.SetCumulateBandwidth(m_iCumulateBW.GetCheck() != BST_UNCHECKED); //[TPT]-Cumulate Bandwidth
	thePrefs.SetMinimizeNumberOfSlots(m_iMinimizeSlots.GetCheck() != BST_UNCHECKED); // [TPT] - Pawcio: MUS

	//SERVIDOR -----------------------------------------------------------
	// Maella -Enable/Disable source exchange in preference- (Tarod)
	thePrefs.SetDisabledXS(m_XSCheck.GetCheck() != BST_UNCHECKED);

	// Maella -Reask sources after IP change- (idea Xman)
	thePrefs.SetReaskSourceAfterIPChange(m_reaskSourceAfterIPChangeCheck.GetCheck() == BST_UNCHECKED); // [TPT]

	//SEGURIDAD ----------------------------------------------------------
	// Maella -Defeat 0-filled Part Senders- (Idea of xrmb)
	thePrefs.SetCorruptionTest(m_corruptionCheck.GetCheck() != BST_UNCHECKED);
	thePrefs.SetSkipCorruptionCDTest(m_skipCorruptionCDCheck.GetCheck() != BST_UNCHECKED);
	//[TPT] - eWombat SNAFU v2
	thePrefs.SetEnableSnafu(m_iSnafu.GetCheck() != BST_UNCHECKED);
	thePrefs.SetEnableACT(m_iAntiCreditTheft.GetCheck() != BST_UNCHECKED);
	thePrefs.SetEnableAntiFriendshare(m_iAntiFriendshare.GetCheck() != BST_UNCHECKED);
	//[TPT] - eWombat SNAFU v2


	//LOG FILTERS --------------------------------------------------------
	// Maella -Filter verbose messages-
	thePrefs.SetBlockUploadEndMsg(m_filterVerboseCheck01.GetCheck() != BST_UNCHECKED);		
	thePrefs.SetBlockFilteredIPSourceMsg(m_filterVerboseCheck05.GetCheck() != BST_UNCHECKED);
	thePrefs.SetBlockFilteredIPServerMsg(m_filterVerboseCheck06.GetCheck() != BST_UNCHECKED);
	thePrefs.SetBlockMaellaSpecificMsg(m_filterVerboseCheck07.GetCheck() != BST_UNCHECKED);
	thePrefs.SetBlockMaellaSpecificDebugMsg(m_filterVerboseCheck08.GetCheck() != BST_UNCHECKED);
	thePrefs.SetBlockPhoenixMsg(m_filterVerboseCheck09.GetCheck() != BST_UNCHECKED); // [TPT] - Filter own messages
	thePrefs.SetBlockHandshakeMsg(m_filterVerboseCheck10.GetCheck() != BST_UNCHECKED); // [TPT] - Filter Handshake messages

	//BACKUP --------------------------------------------------------
	//[TPT]- TBH-AutoBackup
	thePrefs.SetAutoBackup(m_AutoBackup.GetCheck() != BST_UNCHECKED);
	thePrefs.SetAutoBackup2(m_AutoBackup2.GetCheck() != BST_UNCHECKED); 


	//----------------------------------------------------------------END-


	// Refresh Setting
	LoadSettings();
	SetModified(FALSE);	

	return CPropertyPage::OnApply();
}

void CPPgPhoenix1::Localize(void)
{	
	if(m_hWnd)
	{
		// Create an icon list for the tab control
		m_imageList.DeleteImageList();
		m_imageList.Create(16,16,theApp.m_iDfltImageListColorFlags|ILC_MASK,0,1);
		m_imageList.SetBkColor(CLR_NONE);
		m_imageList.Add(CTempIconLoader("PREF_CONNECTION"));//Imagen Conexion
		m_imageList.Add(CTempIconLoader("upload"));//Imagen Subidas
		m_imageList.Add(CTempIconLoader("PREF_SERVER"));//Imagen Servidor
		m_imageList.Add(CTempIconLoader("PREF_SECURITY"));//Imagen Seguridad
		m_imageList.Add(CTempIconLoader("myinfo"));//Imagen Filtros
		m_imageList.Add(CTempIconLoader("HARDDISK"));//Imagen del backup //[TPT]- TBH-AutoBackup

		CString Buffer;
		SetWindowText(_T("pHoeniX One"));		

		int row = m_tabCtr.GetRowCount();
		InitTab(); // To update string, could be improved
		if(row != 0 && row != m_tabCtr.GetRowCount()){
			// Shift all windows object
			// .. to do
		}

	//CONEXION -----------------------------------------------------------
		m_compOverheadCheck.SetWindowText(GetResString(IDS_PPG_MAELLA_COMPENSATEOVERHEAD));
		m_MTUStatic.SetWindowText(GetResString(IDS_PPG_MAELLA_MTU_STATIC));
		Buffer.Format(GetResString(IDS_PPG_MAELLA_SND_SOCKET_SIZE_STATIC), MINIMUM_SEND_BUFFER_SIZE);
		m_sndSocketSizeStatic.SetWindowText(Buffer);
		// [TPT] - quick start		
		m_iQuickStart.SetWindowText(GetResString(IDS_ENABLEQUICKSTART)); 
		m_iMaxConnStatic.SetWindowText(GetResString(IDS_QUICK_START_MAX_CONN));
		m_iMaxConnPerFiveStatic.SetWindowText(GetResString(IDS_QUICK_START_MAX_CONN_PER_FIVE));
		m_QuickGroupBox.SetWindowText(GetResString(IDS_QUICK_START));
		// [TPT] - quick start

		m_iManageConnection.SetWindowText(GetResString(IDS_PPG_PHOENIX_MANAGECONNECTION)); // [TPT] - Pawcio: MAC
		
	//SUBIDAS ------------------------------------------------------------
		m_minSlotStatic.SetWindowText(GetResString(IDS_PPG_MAELLA_MIN_SLOT_STATIC));
		m_NAFCGroupBox.SetWindowText(GetResString(IDS_PPG_MAELLA_NAFC_STATIC01));
		m_NAFCStatic.SetWindowText(GetResString(IDS_PPG_MAELLA_NAFC_STATIC02));
		m_NAFCCheck01.SetWindowText(GetResString(IDS_PPG_MAELLA_NAFC_CHECK01));
		m_NAFCCheck02.SetWindowText(GetResString(IDS_PPG_MAELLA_NAFC_CHECK02));
		m_iCumulateBW.SetWindowText(GetResString(IDS_PPG_PHOENIX_CUMULATEBW)); //[TPT]-Cumulate Bandwidth
		m_iMinimizeSlots.SetWindowText(GetResString(IDS_PPG_PHOENIX_MINIMIZESLOTS)); // [TPT] - Pawcio: MUS
        m_newUploadSlotSharpingCheck.SetWindowText(GetResString(IDS_PPG_MAELLA_NUSS_CHECK01));
		m_uploadTweaks.SetWindowText(GetResString(IDS_UPLOADTWEAKSBOX));

	//SERVIDOR -----------------------------------------------------------
		m_XSCheck.SetWindowText(GetResString(IDS_PPG_MAELLA_XS_CHECK));
		m_reaskSourceAfterIPChangeCheck.SetWindowText(GetResString(IDS_PPG_MAELLA_REASK_SOURCE_AFTER_IP_CHANGE_CHECK));

	//SEGURIDAD ----------------------------------------------------------
		m_corruptionGroupBox.SetWindowText(GetResString(IDS_PPG_MAELLA_CORRUPTION_STATIC));
		m_corruptionCheck.SetWindowText(GetResString(IDS_PPG_MAELLA_CORRUPTION_CHECK));
		m_skipCorruptionCDCheck.SetWindowText(GetResString(IDS_PPG_MAELLA_SKIP_CORRUPTION_CD_CHECK));
		
		m_userHashStatic.SetWindowText(GetResString(IDS_CD_UHASH));
		m_userHashEdit.SetWindowText(EncodeBase16((const unsigned char*)thePrefs.GetUserHash(), 16));

		//[TPT] - eWombat SNAFU v2
		m_SnafuGroupBox.SetWindowText(GetResString(IDS_PPG_SNAFUGROUP));
		m_iSnafu.SetWindowText(GetResString(IDS_PPG_PHOENIX_SNAFU));
		m_iAntiCreditTheft.SetWindowText(GetResString(IDS_PPG_PHOENIX_ACT));
		m_iAntiFriendshare.SetWindowText(GetResString(IDS_PPG_PHOENIX_FRIENDSHARE));
		//[TPT] - eWombat SNAFU v2

	//LOG FILTERS --------------------------------------------------------
		m_filterVerboseGroupbox.SetWindowText(GetResString(IDS_PPG_MAELLA_FILTER_STATIC) + GetResString(IDS_VERBOSE));
		m_filterVerboseCheck01.SetWindowText(GetResString(IDS_PPG_MAELLA_FILTER_CHECK01));
		m_filterVerboseCheck05.SetWindowText(GetResString(IDS_PPG_MAELLA_FILTER_CHECK05));
		m_filterVerboseCheck06.SetWindowText(GetResString(IDS_PPG_MAELLA_FILTER_CHECK06));
		m_filterVerboseCheck07.SetWindowText(GetResString(IDS_PPG_MAELLA_FILTER_CHECK07));
		m_filterVerboseCheck08.SetWindowText(GetResString(IDS_PPG_MAELLA_FILTER_CHECK08));
		m_filterVerboseCheck09.SetWindowText(GetResString(IDS_PPG_MAELLA_FILTER_CHECK09)); // [TPT] - Filter own messages
		m_filterVerboseCheck10.SetWindowText(GetResString(IDS_PPG_MAELLA_FILTER_CHECK10)); // [TPT] - Filter Handshake messages
	
		//BACKUP
		//[TPT] - TBH-AutoBackup

		m_backupDAT.SetWindowText(GetResString(IDS_BACKUPDAT));
		m_backupMET.SetWindowText(GetResString(IDS_BACKUPMET));
		m_backupINI.SetWindowText(GetResString(IDS_BACKUPINI));
		m_backupPARTMET.SetWindowText(GetResString(IDS_BACKUPPARTMET));
		m_backupPART.SetWindowText(GetResString(IDS_BACKUPPART));
		m_backupNow.SetWindowText(GetResString(IDS_BACKUPNOW));
		m_selectall.SetWindowText(GetResString(IDS_BACKUPSELECTALL));
		m_AutoBackup.SetWindowText(GetResString(IDS_BACKUPAUTO));
		m_AutoBackup2.SetWindowText(GetResString(IDS_BACKUPAUTO2));
		m_AutoBackupBox.SetWindowText(GetResString(IDS_BACKUPAUTOBOX));
		m_backupFilesBox.SetWindowText(GetResString(IDS_BACKUPFILESBOX));
		m_backupStatic.SetWindowText(GetResString(IDS_BACKUPSTATIC));

	}
}

void CPPgPhoenix1::InitTab(){
	// Clear all to be sure
	m_tabCtr.DeleteAllItems();
	
	// Change style
	// Remark: It seems that the multi-row can not be activated with the properties
	m_tabCtr.ModifyStyle(0, TCS_MULTILINE);

	// Add all items with icon (connection, tweak, etc...)
	m_tabCtr.SetImageList(&m_imageList);
	m_tabCtr.InsertItem(TCIF_TEXT | TCIF_IMAGE | TCIF_PARAM, CONNECTION, GetResString(IDS_PW_CONNECTION), 0, (LPARAM)CONNECTION); 	
	m_tabCtr.InsertItem(TCIF_TEXT | TCIF_IMAGE | TCIF_PARAM, UPLOAD, GetResString(IDS_TW_UPLOADS), 1, (LPARAM)UPLOAD); 	
	m_tabCtr.InsertItem(TCIF_TEXT | TCIF_IMAGE | TCIF_PARAM, SERVER, GetResString(IDS_PW_SERVER), 2, (LPARAM)SERVER); 		
	m_tabCtr.InsertItem(TCIF_TEXT | TCIF_IMAGE | TCIF_PARAM, SECURITY, GetResString(IDS_SECURITY), 3, (LPARAM)SECURITY); 	
	m_tabCtr.InsertItem(TCIF_TEXT | TCIF_IMAGE | TCIF_PARAM, LOGFILTER, GetResString(IDS_LOGFILTER), 4, (LPARAM)LOGFILTER); 				
	m_tabCtr.InsertItem(TCIF_TEXT | TCIF_IMAGE | TCIF_PARAM, BACKUP, GetResString(IDS_BACKUPNAME), 5, (LPARAM)BACKUP); //[TPT]- TBH-AutoBackup
	
}


void CPPgPhoenix1::InitControl(){
	// Remark: don't use the dialog editor => avoid to merge rc

	// Retrieve the bottom of the tab's header
	RECT rect1;
	RECT rect2;
	m_tabCtr.GetWindowRect(&rect1);
	ScreenToClient(&rect1);
	m_tabCtr.GetItemRect(m_tabCtr.GetItemCount() - 1 , &rect2);
	const int top = rect1.top + (rect2.bottom - rect2.top + 1) * m_tabCtr.GetRowCount() + 10;
	const int right = rect1.left + 10;
	const int bottom = rect1.bottom;
	

	//CONEXION -----------------------------------------------------------
		// Maella -Overhead compensation (pseudo full rate control)-
		m_compOverheadCheck.CreateEx(0, _T("BUTTON"), "", 
									 WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP |
									 BS_AUTOCHECKBOX, 
									 CRect(right, top+20, right+300, top+20+20), this, IDC_PPG_MAELLA_COMPENSATEOVERHEAD);
		m_compOverheadCheck.SetFont(GetFont());

		// Maella -MTU Configuration-
		m_MTUEdit.CreateEx(WS_EX_CLIENTEDGE, _T("EDIT"), "", 
						WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP | WS_BORDER |
						ES_RIGHT | ES_AUTOHSCROLL | ES_NUMBER, 
						CRect(right, top+20+30, right+40, top+20+30+20), this, IDC_PPG_MAELLA_MTU_EDIT);
		m_MTUEdit.SetFont(GetFont());
		m_MTUEdit.SetLimitText(4);

		m_MTUStatic.CreateEx(0, _T("STATIC"), "", 
							WS_CHILD /*| WS_VISIBLE*/, 
							CRect(right+45, top+20+30+3, right+45+260, top+20+30+3+20), this, IDC_PPG_MAELLA_MTU_STATIC);
		m_MTUStatic.SetFont(GetFont());

		// Maella -Send Socket Size-
		m_sndSocketSizeEdit.CreateEx(WS_EX_CLIENTEDGE, _T("EDIT"), "", 
							WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP | WS_BORDER |
							ES_RIGHT | ES_AUTOHSCROLL | ES_NUMBER, 
							CRect(right, top+80, right+40, top+80+20), this, IDC_PPG_MAELLA_SND_SOCKET_SIZE_EDIT);
		m_sndSocketSizeEdit.SetFont(GetFont());
		m_sndSocketSizeEdit.SetLimitText(4);

		m_sndSocketSizeStatic.CreateEx(0, _T("STATIC"), "", 
								WS_CHILD /*| WS_VISIBLE*/, 
								CRect(right+45, top+80-3, right+45+260, top+80+3+20), this, IDC_PPG_MAELLA_SND_SOCKET_SIZE_STATIC);
		m_sndSocketSizeStatic.SetFont(GetFont());

		// [TPT] - quick start
		m_QuickGroupBox.CreateEx(0, _T("BUTTON"), "", 
							   WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP |
							   BS_GROUPBOX,
							   CRect(right, top+120, right+300, top+230), this, IDC_QUICKBOX);
		m_QuickGroupBox.SetFont(GetFont());

		m_iQuickStart.CreateEx(0, _T("BUTTON"), "", 
										WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP |
										BS_AUTOCHECKBOX, 
										CRect(right+10, top+140, right+295, top+140+20), this, IDC_PPG_PHOENIX_QUICKSTART);
		m_iQuickStart.SetFont(GetFont());

		m_iMaxConnPerFive.CreateEx(WS_EX_CLIENTEDGE, _T("EDIT"), "", 
							WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP | WS_BORDER |
							ES_RIGHT | ES_AUTOHSCROLL | ES_NUMBER, 
							CRect(right+10, top+170, right+50, top+170+20), this,  IDC_PPG_PHOENIX_QUICKSTART_CONN_PER_FIVE);
		m_iMaxConnPerFive.SetFont(GetFont());
		m_iMaxConnPerFive.SetLimitText(4);
		m_iMaxConnPerFiveStatic.CreateEx(0, _T("STATIC"), "", 
								WS_CHILD /*| WS_VISIBLE*/, 
								CRect(right+55, top+172, right+55+230, top+172+20), this, IDC_PPG_PHOENIX_QUICKSTART_CONN_PER_FIVE_STATIC);
		m_iMaxConnPerFiveStatic.SetFont(GetFont());

		m_iMaxConn.CreateEx(WS_EX_CLIENTEDGE, _T("EDIT"), "", 
							WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP | WS_BORDER |
							ES_RIGHT | ES_AUTOHSCROLL | ES_NUMBER, 
							CRect(right+10, top+200, right+50, top+200+20), this,  IDC_PPG_PHOENIX_QUICKSTART_CONN);
		m_iMaxConn.SetFont(GetFont());
		m_iMaxConn.SetLimitText(4);
		m_iMaxConnStatic.CreateEx(0, _T("STATIC"), "", 
								WS_CHILD /*| WS_VISIBLE*/, 
								CRect(right+55, top+202, right+55+230, top+202+20), this, IDC_PPG_PHOENIX_QUICKSTART_CONN_STATIC);
		m_iMaxConnStatic.SetFont(GetFont());


		// [TPT] - quick start

		// [TPT] - Pawcio: MAC
		m_iManageConnection.CreateEx(0, _T("BUTTON"), "", 
						                      WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP |
						                      BS_AUTOCHECKBOX, 
						                      CRect(right, top+235, right+300, top+235+20), this, IDC_PPG_PHOENIX_MANAGECONNECTION);
		m_iManageConnection.SetFont(GetFont());

	//SUBIDAS ------------------------------------------------------------

		//NAFC
		m_NAFCGroupBox.CreateEx(0, _T("BUTTON"), "", 
							   WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP |
							   BS_GROUPBOX,
							   CRect(right, top+20, right+300, top+20+75), this, IDC_PPG_MAELLA_NAFC_STATIC01);
		m_NAFCGroupBox.SetFont(GetFont());

		m_NAFCCheck01.CreateEx(0, _T("BUTTON"), "", 
							  WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP |
							  BS_AUTOCHECKBOX, 
							  CRect(right+10, top+20+20, right+295, top+20+20+20), this, IDC_PPG_MAELLA_NAFC_CHECK01);
		m_NAFCCheck01.SetFont(GetFont());

		m_NAFCEdit.CreateEx(WS_EX_CLIENTEDGE, _T("EDIT"), "", 
							WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP | WS_BORDER |
							ES_RIGHT | ES_AUTOHSCROLL, 
  							CRect(right+10, top+20+3+40, right+10+45, top+20+3+40+20), this, IDC_PPG_MAELLA_NAFC_EDIT);
		m_NAFCEdit.SetFont(GetFont());
		m_NAFCEdit.SetLimitText(5);

		m_NAFCStatic.CreateEx(0, _T("STATIC"), "", 
							  WS_CHILD /*| WS_VISIBLE*/,  
							  CRect(right+10+40+10, top+20+6+40, right+175, top+20+6+40+20), this, IDC_PPG_MAELLA_NAFC_STATIC02);
		m_NAFCStatic.SetFont(GetFont());

		m_NAFCCheck02.CreateEx(0, _T("BUTTON"), "", 
							  WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP |
							  BS_AUTOCHECKBOX, 
							  CRect(right+10+175, top+20+3+40, right+295, top+20+3+40+20), this, IDC_PPG_MAELLA_NAFC_CHECK02);
		m_NAFCCheck02.SetFont(GetFont());
		// Maella -Minimum Upload Slot-
		m_minSlotEdit.CreateEx(WS_EX_CLIENTEDGE, _T("EDIT"), "", 
							WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP | WS_BORDER |
							ES_RIGHT | ES_AUTOHSCROLL | ES_NUMBER, 
							CRect(right, top+115, right+40, top+115+20), this, IDC_PPG_MAELLA_MIN_SLOT_EDIT);
		m_minSlotEdit.SetFont(GetFont());
		m_minSlotEdit.SetLimitText(1);

		m_minSlotStatic.CreateEx(0, _T("STATIC"), "", 
								WS_CHILD /*| WS_VISIBLE*/, 
								CRect(right+45, top+115+3, right+45+260, top+115+3+20), this, IDC_PPG_MAELLA_MIN_SLOT_STATIC);
		m_minSlotStatic.SetFont(GetFont());

		
		m_uploadTweaks.CreateEx(0, _T("BUTTON"), "", 
							   WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP |
							   BS_GROUPBOX,
							   CRect(right, top+145, right+300, top+235), this, IDC_UPLOADTWEAKS);
		m_uploadTweaks.SetFont(GetFont());

		//Maella New Upload Slot Sharping
		m_newUploadSlotSharpingCheck.CreateEx(0, _T("BUTTON"), "", 
						                      WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP |
						                      BS_AUTOCHECKBOX, 
						                      CRect(right+10, top+145+20, right+295, top+145+40), this, IDC_PPG_MAELLA_NUSS_CHECK01);
		m_newUploadSlotSharpingCheck.SetFont(GetFont());

		//[TPT] - Cumulate Bandwidth
		m_iCumulateBW.CreateEx(0, _T("BUTTON"), "", 
						                      WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP |
						                      BS_AUTOCHECKBOX, 
						                      CRect(right+10, top+165+20, right+295, top+165+40), this, IDC_PPG_PHOENIX_CUMULATEBW);
		m_iCumulateBW.SetFont(GetFont());

		// [TPT] - Pawcio: MUS
		m_iMinimizeSlots.CreateEx(0, _T("BUTTON"), "", 
						                      WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP |
						                      BS_AUTOCHECKBOX, 
						                      CRect(right+10, top+185+20, right+295, top+185+40), this, IDC_PPG_PHOENIX_MINIMIZESLOTS);
		m_iMinimizeSlots.SetFont(GetFont());

	//SERVIDOR -----------------------------------------------------------
		// Maella -Enable/Disable source exchange in preference- (Tarod)
		m_XSCheck.CreateEx(0, _T("BUTTON"), "", 
						WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP |
						BS_AUTOCHECKBOX, 
						CRect(right, top+40, right+300, top+40+20), this, IDC_PPG_MAELLA_XS_CHECK);
		m_XSCheck.SetFont(GetFont());

		m_reaskSourceAfterIPChangeCheck.CreateEx(0, _T("BUTTON"), "", 
												 WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP |
												 BS_AUTOCHECKBOX, 
												 CRect(right, top+40+20, right+300, top+40+20+20), this, IDC_PPG_MAELLA_REASK_SOURCE_AFTER_IP_CHANGE_CHECK);
		m_reaskSourceAfterIPChangeCheck.SetFont(GetFont());

	//SEGURIDAD ----------------------------------------------------------
		// Maella -Defeat 0-filled Part Senders- (Idea of xrmb)
		m_corruptionGroupBox.CreateEx(0, _T("BUTTON"), "", 
									  WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP |
									  BS_GROUPBOX,
									  CRect(right, top+20, right+300, top+20+70), this, IDC_PPG_MAELLA_CORRUPTION_STATIC);
		m_corruptionGroupBox.SetFont(GetFont());

		m_corruptionCheck.CreateEx(0, _T("BUTTON"), "", 
								   WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP |
								   BS_AUTOCHECKBOX, 
								   CRect(right+10, top+20+20, right+10+280, top+20+20+20), this, IDC_PPG_MAELLA_CORRUPTION_CHECK);
		m_corruptionCheck.SetFont(GetFont());

		m_skipCorruptionCDCheck.CreateEx(0, _T("BUTTON"), "", 
										 WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP |
										 BS_AUTOCHECKBOX, 
										 CRect(right+10+10, top+20+40, right+10+10+270, top+20+40+20), this, IDC_PPG_MAELLA_SKIP_CORRUPTION_CD_CHECK);
		m_skipCorruptionCDCheck.SetFont(GetFont());

		//[TPT] - eWombat SNAFU v2
		m_SnafuGroupBox.CreateEx(0, _T("BUTTON"), "", 
									WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP |
									BS_GROUPBOX,
									CRect(right, top+20+90, right+300, top+20+90+90), this, IDC_PPG_SNAFU);
		m_SnafuGroupBox.SetFont(GetFont());

		m_iSnafu.CreateEx(0, _T("BUTTON"), "", 
									 WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP |
									 BS_AUTOCHECKBOX, 
									 CRect(right+10, top+20+90+20, right+295, top+20+90+20+20), this, IDC_PPG_PHOENIX_SNAFU_CHECK);
		m_iSnafu.SetFont(GetFont());
		m_iAntiCreditTheft.CreateEx(0, _T("BUTTON"), "", 
									 WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP |
									 BS_AUTOCHECKBOX, 
									 CRect(right+10, top+20+90+40, right+295, top+20+90+40+20), this, IDC_PPG_PHOENIX_ACT_CHECK);
		m_iAntiCreditTheft.SetFont(GetFont());
		m_iAntiFriendshare.CreateEx(0, _T("BUTTON"), "", 
									 WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP |
									 BS_AUTOCHECKBOX, 
									 CRect(right+10, top+20+90+60, right+295, top+20+90+60+20), this, IDC_PPG_PHOENIX_FRIENDSHARE_CHECK);
		m_iAntiFriendshare.SetFont(GetFont());
		//[TPT] - eWombat SNAFU v2 END

		m_userHashStatic.CreateEx(0, _T("STATIC"), "", 
								  WS_CHILD /*| WS_VISIBLE*/,
								  CRect(right, bottom-75, right+80, bottom-35), this, IDC_PPG_MAELLA_USERHASH_STATIC);
		m_userHashStatic.SetFont(GetFont());

		m_userHashEdit.CreateEx(0, _T("EDIT"), "", 
								WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP |
								ES_LEFT | ES_AUTOHSCROLL | ES_READONLY , 
								CRect(right+85, bottom-70, right+295, bottom-35), this, IDC_PPG_MAELLA_USERHASH_EDIT);
		m_userHashEdit.SetFont(GetFont());
	//LOG FILTERS --------------------------------------------------------
		// Maella -Filter verbose messages-
		m_filterVerboseGroupbox.CreateEx(0, _T("BUTTON"), "", 
										WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP |
										BS_GROUPBOX,
										CRect(right, top+20, right+300, top+20+170), this, IDC_PPG_MAELLA_FILTER_STATIC);
		m_filterVerboseGroupbox.SetFont(GetFont());

		m_filterVerboseCheck01.CreateEx(0, _T("BUTTON"), "", 
										WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP |
										BS_AUTOCHECKBOX, 
										CRect(right+10, top+20+20, right+295, top+20+20+20), this, IDC_PPG_MAELLA_FILTER_VERBOSE_CHECK01);
		m_filterVerboseCheck01.SetFont(GetFont());

		m_filterVerboseCheck05.CreateEx(0, _T("BUTTON"), "", 
										WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP |
										BS_AUTOCHECKBOX, 
										CRect(right+10, top+20+40, right+295, top+20+40+20), this, IDC_PPG_MAELLA_FILTER_VERBOSE_CHECK05);
		m_filterVerboseCheck05.SetFont(GetFont());

		m_filterVerboseCheck06.CreateEx(0, _T("BUTTON"), "", 
										WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP |
										BS_AUTOCHECKBOX, 
										CRect(right+10, top+20+60, right+295, top+20+60+20), this, IDC_PPG_MAELLA_FILTER_VERBOSE_CHECK06);
		m_filterVerboseCheck06.SetFont(GetFont());

		m_filterVerboseCheck07.CreateEx(0, _T("BUTTON"), "", 
										WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP |
										BS_AUTOCHECKBOX, 
										CRect(right+10, top+20+80, right+295, top+20+80+20), this, IDC_PPG_MAELLA_FILTER_VERBOSE_CHECK07);
		m_filterVerboseCheck07.SetFont(GetFont());

		m_filterVerboseCheck08.CreateEx(0, _T("BUTTON"), "", 
										WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP |
										BS_AUTOCHECKBOX, 
										CRect(right+10, top+20+100, right+295, top+20+100+20), this, IDC_PPG_MAELLA_FILTER_VERBOSE_CHECK08);
		m_filterVerboseCheck08.SetFont(GetFont());

		// [TPT] - Filter own messages
		m_filterVerboseCheck09.CreateEx(0, _T("BUTTON"), "", 
										WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP |
										BS_AUTOCHECKBOX, 
										CRect(right+10, top+20+120, right+295, top+20+120+20), this, IDC_PPG_MAELLA_FILTER_VERBOSE_CHECK09);
		m_filterVerboseCheck09.SetFont(GetFont());

		// [TPT] - Filter Handshake messages
		m_filterVerboseCheck10.CreateEx(0, _T("BUTTON"), "", 
										WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP |
										BS_AUTOCHECKBOX, 
										CRect(right+10, top+20+140, right+295, top+20+140+20), this, IDC_PPG_MAELLA_FILTER_VERBOSE_CHECK10);
		m_filterVerboseCheck10.SetFont(GetFont());

		//BACKUP ------------------------------------------------------------------
		//[TPT]- TBH-AutoBackup

		m_backupFilesBox.CreateEx(0, _T("BUTTON"), "", 
							   WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP |
							   BS_GROUPBOX,
							   CRect(right, top+20, right+300, top+160), this, IDC_BACKUPBOX);
		m_backupFilesBox.SetFont(GetFont());

		m_backupDAT.CreateEx(0, _T("BUTTON"), "", 
										WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP |
										BS_AUTOCHECKBOX, 
										CRect(right+10, top+40, right+140, top+60), this, IDC_DAT);
		m_backupDAT.SetFont(GetFont());		
		m_backupMET.CreateEx(0, _T("BUTTON"), "", 
										WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP |
										BS_AUTOCHECKBOX, 
										CRect(right+10, top+60, right+140, top+80), this, IDC_MET);
		m_backupMET.SetFont(GetFont());	
		m_backupINI.CreateEx(0, _T("BUTTON"), "", 
										WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP |
										BS_AUTOCHECKBOX, 
										CRect(right+10, top+80, right+140, top+100), this, IDC_INI);
		m_backupINI.SetFont(GetFont());	
		m_backupPARTMET.CreateEx(0, _T("BUTTON"), "", 
										WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP |
										BS_AUTOCHECKBOX, 
										CRect(right+10, top+100, right+140, top+120), this, IDC_PARTMET);
		m_backupPARTMET.SetFont(GetFont());					
		m_backupPART.CreateEx(0, _T("BUTTON"), "", 
										WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP |
										BS_AUTOCHECKBOX, 
										CRect(right+10, top+120, right+140, top+140), this, IDC_PART);
		m_backupPART.SetFont(GetFont());


		m_backupNow.CreateEx(0, _T("BUTTON"), "", 
										WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP |
										BS_FLAT,
										CRect(right+160, top+100, right+290, top+120), this, IDC_BACKUPNOW);
		m_backupNow.SetFont(GetFont());
		m_selectall.CreateEx(0, _T("BUTTON"), "", 
										WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP |
										BS_FLAT,
										CRect(right+160, top+20+80+20, right+290, top+140), this, IDC_SELECTALL);
		m_selectall.SetFont(GetFont());


		m_AutoBackupBox.CreateEx(0, _T("BUTTON"), "", 
										WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP |
										BS_GROUPBOX,
										CRect(right, top+180, right+200, top+250), this, IDC_AUTOBACKUPBOX);
		m_AutoBackupBox.SetFont(GetFont());
		m_AutoBackup.CreateEx(0, _T("BUTTON"), "", 
										WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP |
										BS_AUTOCHECKBOX, 
										CRect(right+10, top+200, right+190, top+220), this, IDC_AUTOBACKUP);
		m_AutoBackup.SetFont(GetFont());
		m_AutoBackup2.CreateEx(0, _T("BUTTON"), "", 
										WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP |
										BS_AUTOCHECKBOX, 
										CRect(right+30, top+220, right+190, top+240), this, IDC_AUTOBACKUP2);
		m_AutoBackup2.SetFont(GetFont());
		m_backupStaticBox.CreateEx(0, _T("BUTTON"), "", 
										WS_CHILD /*| WS_VISIBLE*/ | WS_TABSTOP |
										BS_GROUPBOX,
										CRect(right, top+270, right+300, top+325), this, IDC_BACKUPSTATICBOX);
		m_backupStaticBox.SetFont(GetFont());
		m_backupStatic.CreateEx(0, _T("STATIC"), "", 
										 WS_CHILD /*| WS_VISIBLE*/,  
										 CRect(right+20, top+280, right+270, top+320), this, IDC_BACKUPSTATIC);
		m_backupStatic.SetFont(GetFont());
		//[TPT]- TBH-AutoBackup
}

void CPPgPhoenix1::OnTabSelectionChange(NMHDR *pNMHDR, LRESULT *pResult)
{
	// Retrieve tab to display
	TCITEM tabCtrlItem; 
	tabCtrlItem.mask = TCIF_PARAM;
	if(m_tabCtr.GetItem(m_tabCtr.GetCurSel(), &tabCtrlItem) == TRUE){
		SetTab(static_cast<eTab>(tabCtrlItem.lParam));
	}

	*pResult = 0;
}


void CPPgPhoenix1::SetTab(eTab tab){
	if(m_currentTab != tab){
		// Hide all control
		switch(m_currentTab){
			case CONNECTION:
				m_compOverheadCheck.ShowWindow(SW_HIDE);
				m_compOverheadCheck.EnableWindow(FALSE);
				m_MTUEdit.ShowWindow(SW_HIDE);
				m_MTUEdit.EnableWindow(FALSE);
				m_MTUStatic.ShowWindow(SW_HIDE);
				m_MTUStatic.EnableWindow(FALSE);
				m_sndSocketSizeEdit.ShowWindow(SW_HIDE);
				m_sndSocketSizeEdit.EnableWindow(FALSE);
				m_sndSocketSizeStatic.ShowWindow(SW_HIDE);
				m_sndSocketSizeStatic.EnableWindow(FALSE);
				// [TPT] - quick start
				m_iQuickStart.ShowWindow(SW_HIDE);
				m_iQuickStart.EnableWindow(FALSE);
				m_iMaxConnPerFive.ShowWindow(SW_HIDE);
				m_iMaxConnPerFive.EnableWindow(FALSE);
				m_iMaxConnPerFiveStatic.ShowWindow(SW_HIDE);
				m_iMaxConnPerFiveStatic.EnableWindow(FALSE);
				m_iMaxConn.ShowWindow(SW_HIDE);
				m_iMaxConn.EnableWindow(FALSE);
				m_iMaxConnStatic.ShowWindow(SW_HIDE);
				m_iMaxConnStatic.EnableWindow(FALSE);
				m_QuickGroupBox.ShowWindow(SW_HIDE);
				m_QuickGroupBox.EnableWindow(FALSE);
				// [TPT] - Pawcio: MAC
				m_iManageConnection.ShowWindow(SW_HIDE);
				m_iManageConnection.EnableWindow(FALSE);
				break;		
			case UPLOAD:
				m_NAFCGroupBox.ShowWindow(SW_HIDE);
				m_NAFCGroupBox.EnableWindow(FALSE);
				m_NAFCStatic.ShowWindow(SW_HIDE);
				m_NAFCStatic.EnableWindow(FALSE);
				m_NAFCCheck01.ShowWindow(SW_HIDE);
				m_NAFCCheck01.EnableWindow(FALSE);
				m_NAFCCheck02.ShowWindow(SW_HIDE);
				m_NAFCCheck02.EnableWindow(FALSE);
				m_NAFCEdit.ShowWindow(SW_HIDE);
				m_NAFCEdit.EnableWindow(FALSE);
				m_minSlotEdit.ShowWindow(SW_HIDE);
				m_minSlotEdit.EnableWindow(FALSE);
				m_minSlotStatic.ShowWindow(SW_HIDE);
				m_minSlotStatic.EnableWindow(FALSE);

				//[TPT]-Cumulate Bandwidth
				m_iCumulateBW.ShowWindow(SW_HIDE);
				m_iCumulateBW.EnableWindow(FALSE);
				// [TPT] - Pawcio: MUS
				m_iMinimizeSlots.ShowWindow(SW_HIDE);
				m_iMinimizeSlots.EnableWindow(FALSE);

				m_newUploadSlotSharpingCheck.ShowWindow(SW_HIDE);
				m_newUploadSlotSharpingCheck.EnableWindow(FALSE);
				m_uploadTweaks.ShowWindow(SW_HIDE);
				m_uploadTweaks.EnableWindow(FALSE);
				break;
			case SERVER:
				m_XSCheck.ShowWindow(SW_HIDE);
				m_XSCheck.EnableWindow(FALSE);

				m_reaskSourceAfterIPChangeCheck.ShowWindow(SW_HIDE);
				m_reaskSourceAfterIPChangeCheck.EnableWindow(FALSE);
				break;
			case SECURITY:
				m_corruptionGroupBox.ShowWindow(SW_HIDE);
				m_corruptionGroupBox.EnableWindow(FALSE);
				m_corruptionCheck.ShowWindow(SW_HIDE);
				m_corruptionCheck.EnableWindow(FALSE);
				m_skipCorruptionCDCheck.ShowWindow(SW_HIDE);
				m_skipCorruptionCDCheck.EnableWindow(FALSE);

				//[TPT] - eWombat SNAFU v2
				m_SnafuGroupBox.ShowWindow(SW_HIDE);
				m_SnafuGroupBox.EnableWindow(FALSE);
				m_iSnafu.ShowWindow(SW_HIDE);
				m_iSnafu.EnableWindow(FALSE);
				m_iAntiCreditTheft.ShowWindow(SW_HIDE);
				m_iAntiCreditTheft.EnableWindow(FALSE);	
				m_iAntiFriendshare.ShowWindow(SW_HIDE);
				m_iAntiFriendshare.EnableWindow(FALSE);
				//[TPT] - eWombat SNAFU v2
				m_userHashStatic.ShowWindow(SW_HIDE);
				m_userHashStatic.EnableWindow(FALSE);
				m_userHashEdit.ShowWindow(SW_HIDE);
				m_userHashEdit.EnableWindow(FALSE);
				break;
			case LOGFILTER:
				m_filterVerboseGroupbox.ShowWindow(SW_HIDE);
				m_filterVerboseGroupbox.EnableWindow(FALSE);
				m_filterVerboseCheck01.ShowWindow(SW_HIDE);
				m_filterVerboseCheck01.EnableWindow(FALSE);								
				m_filterVerboseCheck05.ShowWindow(SW_HIDE);
				m_filterVerboseCheck05.EnableWindow(FALSE);
				m_filterVerboseCheck06.ShowWindow(SW_HIDE);
				m_filterVerboseCheck06.EnableWindow(FALSE);
				m_filterVerboseCheck07.ShowWindow(SW_HIDE);
				m_filterVerboseCheck07.EnableWindow(FALSE);
				m_filterVerboseCheck08.ShowWindow(SW_HIDE);
				m_filterVerboseCheck08.EnableWindow(FALSE);
				// [TPT] - Filter own messages
				m_filterVerboseCheck09.ShowWindow(SW_HIDE);
				m_filterVerboseCheck09.EnableWindow(FALSE);
				// [TPT] - Filter Handshake messages
				m_filterVerboseCheck10.ShowWindow(SW_HIDE);
				m_filterVerboseCheck10.EnableWindow(FALSE);
				break;
			case BACKUP:
				//[TPT]- TBH-AutoBackup
				m_backupDAT.ShowWindow(SW_HIDE);
				m_backupDAT.EnableWindow(FALSE);
				m_backupMET.ShowWindow(SW_HIDE);
				m_backupMET.EnableWindow(FALSE);
				m_backupINI.ShowWindow(SW_HIDE);
				m_backupINI.EnableWindow(FALSE);
				m_backupPARTMET.ShowWindow(SW_HIDE);
				m_backupPARTMET.EnableWindow(FALSE);
				m_backupPART.ShowWindow(SW_HIDE);
				m_backupPART.EnableWindow(FALSE);
				m_backupNow.ShowWindow(SW_HIDE);
				m_backupNow.EnableWindow(FALSE);
				m_selectall.ShowWindow(SW_HIDE);
				m_selectall.EnableWindow(FALSE);
				m_AutoBackup.ShowWindow(SW_HIDE);
				m_AutoBackup.EnableWindow(FALSE);
				m_AutoBackup2.ShowWindow(SW_HIDE);
				m_AutoBackup2.EnableWindow(FALSE);				
				m_AutoBackupBox.ShowWindow(SW_HIDE);
				m_AutoBackupBox.EnableWindow(FALSE);				
				m_backupFilesBox.ShowWindow(SW_HIDE);
				m_backupFilesBox.EnableWindow(FALSE);
				m_backupStatic.ShowWindow(SW_HIDE);
				m_backupStatic.EnableWindow(FALSE);
				m_backupStaticBox.ShowWindow(SW_HIDE);
				m_backupStaticBox.EnableWindow(FALSE);
				//[TPT]- TBH-AutoBackup
				break;
		}

		// Show new controls
		m_currentTab = tab;
		switch(m_currentTab){
			case CONNECTION:
				m_compOverheadCheck.ShowWindow(SW_SHOW);
				m_compOverheadCheck.EnableWindow(TRUE);
				m_MTUEdit.ShowWindow(SW_SHOW);
				m_MTUEdit.EnableWindow(TRUE);
				m_MTUStatic.ShowWindow(SW_SHOW);
				m_MTUStatic.EnableWindow(TRUE);
				m_sndSocketSizeEdit.ShowWindow(SW_SHOW);
				m_sndSocketSizeEdit.EnableWindow(TRUE);
				m_sndSocketSizeStatic.ShowWindow(SW_SHOW);
				m_sndSocketSizeStatic.EnableWindow(TRUE);
				// [TPT] - quick start
				m_iQuickStart.ShowWindow(SW_SHOW);
				m_iQuickStart.EnableWindow(TRUE);
				m_iMaxConnPerFive.ShowWindow(SW_SHOW);
				m_iMaxConnPerFive.EnableWindow(TRUE);
				m_iMaxConnPerFiveStatic.ShowWindow(SW_SHOW);
				m_iMaxConnPerFiveStatic.EnableWindow(TRUE);
				m_iMaxConn.ShowWindow(SW_SHOW);
				m_iMaxConn.EnableWindow(TRUE);
				m_iMaxConnStatic.ShowWindow(SW_SHOW);
				m_iMaxConnStatic.EnableWindow(TRUE);
				m_QuickGroupBox.ShowWindow(SW_SHOW);
				m_QuickGroupBox.EnableWindow(TRUE);
				// [TPT] - Pawcio: MAC
				m_iManageConnection.ShowWindow(SW_SHOW);
				m_iManageConnection.EnableWindow(TRUE);
				break;			
			case UPLOAD:
				m_NAFCGroupBox.ShowWindow(SW_SHOW);
				m_NAFCStatic.ShowWindow(SW_SHOW);
				m_NAFCCheck01.ShowWindow(SW_SHOW);
				m_NAFCCheck02.ShowWindow(SW_SHOW);
				m_NAFCEdit.ShowWindow(SW_SHOW);
				if(theApp.pBandWidthControl->IsNAFCAvailable() == true){
					m_NAFCGroupBox.EnableWindow(TRUE);
					m_NAFCStatic.EnableWindow(TRUE);
					m_NAFCCheck01.EnableWindow(theApp.pBandWidthControl->IsNAFCAvailable() == true);
					m_NAFCCheck02.EnableWindow(m_NAFCCheck01.GetCheck() == BST_CHECKED);
					m_NAFCEdit.EnableWindow(m_NAFCCheck01.GetCheck() == BST_CHECKED);
				}
				m_minSlotEdit.ShowWindow(SW_SHOW);
				m_minSlotEdit.EnableWindow(TRUE);
				m_minSlotStatic.ShowWindow(SW_SHOW);
				m_minSlotStatic.EnableWindow(TRUE);
				//[TPT]-Cumulate Bandwidth
				m_iCumulateBW.ShowWindow(SW_SHOW);
				m_iCumulateBW.EnableWindow(TRUE);
				// [TPT] - Pawcio: MUS
				m_iMinimizeSlots.ShowWindow(SW_SHOW);
				m_iMinimizeSlots.EnableWindow(TRUE);

				m_newUploadSlotSharpingCheck.ShowWindow(SW_SHOW);
				m_newUploadSlotSharpingCheck.EnableWindow(TRUE);

				m_uploadTweaks.ShowWindow(SW_SHOW);
				m_uploadTweaks.EnableWindow(TRUE);
				break;
			case SERVER:
				m_XSCheck.ShowWindow(SW_SHOW);
				m_XSCheck.EnableWindow(TRUE);

				m_reaskSourceAfterIPChangeCheck.ShowWindow(SW_SHOW);
				m_reaskSourceAfterIPChangeCheck.EnableWindow(TRUE);				
				break;
			case SECURITY:
				m_corruptionGroupBox.ShowWindow(SW_SHOW);
				m_corruptionGroupBox.EnableWindow(TRUE);
				m_corruptionCheck.ShowWindow(SW_SHOW);
				m_corruptionCheck.EnableWindow(TRUE);
				m_skipCorruptionCDCheck.ShowWindow(SW_SHOW);
				m_skipCorruptionCDCheck.EnableWindow(m_corruptionCheck.GetCheck() != BST_UNCHECKED);

				//[TPT] - eWombat SNAFU v2
				m_SnafuGroupBox.ShowWindow(SW_SHOW);
				m_SnafuGroupBox.EnableWindow(TRUE);
				m_iSnafu.ShowWindow(SW_SHOW);
				m_iSnafu.EnableWindow(TRUE);
				m_iAntiCreditTheft.ShowWindow(SW_SHOW);
				m_iAntiCreditTheft.EnableWindow(TRUE);	
				m_iAntiFriendshare.ShowWindow(SW_SHOW);
				m_iAntiFriendshare.EnableWindow(TRUE);
				//[TPT] - eWombat SNAFU v2


				m_userHashStatic.ShowWindow(SW_SHOW);
				m_userHashStatic.EnableWindow(TRUE);
				m_userHashEdit.ShowWindow(SW_SHOW);
				m_userHashEdit.EnableWindow(TRUE);
				break;
			case LOGFILTER:
				m_filterVerboseGroupbox.ShowWindow(SW_SHOW);
				m_filterVerboseGroupbox.EnableWindow(TRUE);
				m_filterVerboseCheck01.ShowWindow(SW_SHOW);
				m_filterVerboseCheck01.EnableWindow((thePrefs.GetVerbose() == false) ? FALSE : TRUE);								
				m_filterVerboseCheck05.ShowWindow(SW_SHOW);
				m_filterVerboseCheck05.EnableWindow((thePrefs.GetVerbose() == false) ? FALSE : TRUE);
				m_filterVerboseCheck06.ShowWindow(SW_SHOW);
				m_filterVerboseCheck06.EnableWindow((thePrefs.GetVerbose() == false) ? FALSE : TRUE);
				m_filterVerboseCheck07.ShowWindow(SW_SHOW);
				m_filterVerboseCheck07.EnableWindow((thePrefs.GetVerbose() == false) ? FALSE : TRUE);
				m_filterVerboseCheck08.ShowWindow(SW_SHOW);
				m_filterVerboseCheck08.EnableWindow((thePrefs.GetVerbose() == false) ? FALSE : TRUE);
				// [TPT] - Filter own messages
				m_filterVerboseCheck09.ShowWindow(SW_SHOW);
				m_filterVerboseCheck09.EnableWindow((thePrefs.GetVerbose() == false) ? FALSE : TRUE);
				// [TPT] - Filter own messages
				m_filterVerboseCheck10.ShowWindow(SW_SHOW);
				m_filterVerboseCheck10.EnableWindow((thePrefs.GetVerbose() == false) ? FALSE : TRUE);

				break;
			case BACKUP:
				//[TPT]- TBH-AutoBackup
				m_backupDAT.ShowWindow(SW_SHOW);
				m_backupDAT.EnableWindow(TRUE);
				m_backupMET.ShowWindow(SW_SHOW);
				m_backupMET.EnableWindow(TRUE);
				m_backupINI.ShowWindow(SW_SHOW);
				m_backupINI.EnableWindow(TRUE);
				m_backupPARTMET.ShowWindow(SW_SHOW);
				m_backupPARTMET.EnableWindow(TRUE);
				m_backupPART.ShowWindow(SW_SHOW);
				m_backupPART.EnableWindow(TRUE);
				m_backupNow.ShowWindow(SW_SHOW);
				m_backupNow.EnableWindow(CheckAnyActive());
				m_selectall.ShowWindow(SW_SHOW);
				m_selectall.EnableWindow(TRUE);
				m_AutoBackup.ShowWindow(SW_SHOW);
				m_AutoBackup.EnableWindow(TRUE);
				m_AutoBackup2.ShowWindow(SW_SHOW);
				m_AutoBackup2.EnableWindow(m_AutoBackup.GetCheck() == BST_CHECKED);				
				m_AutoBackupBox.ShowWindow(SW_SHOW);
				m_AutoBackupBox.EnableWindow(TRUE);				
				m_backupFilesBox.ShowWindow(SW_SHOW);
				m_backupFilesBox.EnableWindow(TRUE);
				m_backupStatic.ShowWindow(SW_SHOW);
				m_backupStatic.EnableWindow(TRUE);
				m_backupStaticBox.ShowWindow(SW_SHOW);
				m_backupStaticBox.EnableWindow(TRUE);
				//[TPT]- TBH-AutoBackup
				break;
		}
	}
}
// [TPT] - quick start
	void CPPgPhoenix1::OnQuickStartChange(void)
{
	bool check = (m_iQuickStart.GetCheck() == BST_CHECKED);

	m_iMaxConn.EnableWindow(check);
	m_iMaxConnStatic.EnableWindow(check);				
	m_iMaxConnPerFive.EnableWindow(check);				
	m_iMaxConnPerFiveStatic.EnableWindow(check);

	SetModified(TRUE);
}
// [TPT] - quick start

void CPPgPhoenix1::OnCorruptionCheckChange(){
	// Grey "Skip test for CD-Image (e.g. .bin, .nrg)"
	m_skipCorruptionCDCheck.EnableWindow(m_corruptionCheck.GetCheck() != BST_UNCHECKED);

	SetModified(TRUE);
}

void CPPgPhoenix1::OnNAFCChange(){
	m_NAFCCheck02.EnableWindow(m_NAFCCheck01.GetCheck() == BST_CHECKED);	
	m_NAFCEdit.EnableWindow(theApp.pBandWidthControl->IsNAFCAvailable() == true && m_NAFCCheck01.GetCheck() != BST_UNCHECKED);	
	SetModified(TRUE);
}

//[TPT]- TBH-AutoBackup -->
bool CPPgPhoenix1::CheckAnyActive()
{
	if(m_backupDAT.GetCheck() == BST_CHECKED ||
		m_backupMET.GetCheck() == BST_CHECKED || m_backupINI.GetCheck() == BST_CHECKED ||
			m_backupPART.GetCheck() == BST_CHECKED || m_backupPARTMET.GetCheck() == BST_CHECKED)
			return true;
	return false;
}

//[TPT] - TBH - AutoBackup
void CPPgPhoenix1::OnBnClickedDat()
{
	m_backupNow.EnableWindow(m_backupDAT.GetCheck() == BST_CHECKED || CheckAnyActive());
}

void CPPgPhoenix1::OnBnClickedMet()
{
	m_backupNow.EnableWindow(m_backupMET.GetCheck() == BST_CHECKED || CheckAnyActive());
}

void CPPgPhoenix1::OnBnClickedIni()
{
	m_backupNow.EnableWindow(m_backupINI.GetCheck() == BST_CHECKED || CheckAnyActive());
}

void CPPgPhoenix1::OnBnClickedPart()
{
	m_backupNow.EnableWindow(m_backupPART.GetCheck() == BST_CHECKED || CheckAnyActive());
}

void CPPgPhoenix1::OnBnClickedPartMet()
{
	m_backupNow.EnableWindow(m_backupPARTMET.GetCheck() == BST_CHECKED || CheckAnyActive());
}

void CPPgPhoenix1::OnBnAutobackup()
{
	m_AutoBackup2.EnableWindow(m_AutoBackup.GetCheck() == BST_CHECKED);
}

void CPPgPhoenix1::OnBnClickedBackupnow()
{

	char buffer[200];
	y2All = FALSE;

	if(m_backupDAT.GetCheck() == BST_CHECKED)
	{
		Backup("*.dat", true);
		m_backupDAT.SetCheck(false);
	}
	if(m_backupMET.GetCheck() == BST_CHECKED)
	{
		Backup("*.met", true);
		m_backupMET.SetCheck(false);
	}
	if(m_backupINI.GetCheck() == BST_CHECKED)
	{
		Backup("*.ini", true);
		m_backupINI.SetCheck(false);
	}
	if(m_backupPARTMET.GetCheck() == BST_CHECKED)
	{	
		Backup2("*.part.met");
		m_backupPARTMET.SetCheck(false);
	}
	if(m_backupPART.GetCheck() == BST_CHECKED)
	{
		sprintf(buffer,GetResString(IDS_BACKUPCAUTIONPART));
		if(MessageBox(buffer,GetResString(IDS_BACKUPARESURE),MB_ICONQUESTION|MB_YESNO)== IDYES)
			Backup2("*.part");
		m_backupPART.SetCheck(false);
	}

	MessageBox(GetResString(IDS_BACKUPSUCCESS), GetResString(IDS_BACKUPCOMPLETE), MB_OK);
	y2All = FALSE;
}


void CPPgPhoenix1::Backup2(LPCSTR extensionToBack)  
{

	WIN32_FIND_DATA FileData;   
	HANDLE hSearch;   
	char buffer[200];  


	//CString szDirPath = CString(thePrefs.GetAppDir());  
	CString szDirPath = CString(thePrefs.GetConfigDir());
	CString szTempPath = CString(thePrefs.GetTempDir());  
	char szNewPath[MAX_PATH]; 

	BOOL fFinished = FALSE;     
	BOOL error = FALSE;  
	BOOL OverWrite = TRUE;  
	szDirPath +="Backup\\";

	if(!PathFileExists(szDirPath))  
		CreateDirectory(szDirPath, NULL);  

	szDirPath+="Temp\\";  

	if(!PathFileExists(szDirPath))  
		CreateDirectory(szDirPath, NULL);  


	// Start searching for files in the current directory.   
	SetCurrentDirectory(szTempPath);  

	hSearch = FindFirstFile(extensionToBack, &FileData);   

	if (hSearch == INVALID_HANDLE_VALUE)   
	{   
		error = TRUE;
	}   

	// Copy each file to the new directory   
	while (!fFinished && !error)   
	{   
		lstrcpy(szNewPath, szDirPath);   
		lstrcat(szNewPath, FileData.cFileName);   

		//MessageBox(szNewPath,"New Path",MB_OK);  
		if(PathFileExists(szNewPath))  
		{  
				if (y2All == FALSE)
				{
					sprintf(buffer, GetResString(IDS_BACKUPALREADYEXISTS), FileData.cFileName);
					int rc = ::XMessageBox(m_hWnd,buffer,GetResString(IDS_BACKUPOVERWRITE),MB_YESNO|MB_YESTOALL|MB_ICONQUESTION);
					if (rc == IDYES)
						OverWrite = TRUE;
					else if (rc == IDYESTOALL)
					{
						OverWrite = TRUE;
						y2All = TRUE;
					}
					else 
						OverWrite = FALSE;
				} else
					OverWrite = TRUE;  
		}  

		if(OverWrite)  
			CopyFile(FileData.cFileName, szNewPath, FALSE);  

		if (!FindNextFile(hSearch, &FileData))   
		{  
			if (GetLastError() == ERROR_NO_MORE_FILES)   
			{   

				fFinished = TRUE;   
			}   
			else   
			{   
				error = TRUE;  
			}   
		}  

	}   

	// Close the search handle.   
	if (!FindClose(hSearch))   
	{   
		error = TRUE;  
	}   
	SetCurrentDirectory(CString(thePrefs.GetConfigDir()));  

	if (error)  
		MessageBox(GetResString(IDS_BACKUPERROR),"Error",MB_OK);  

} 

void CPPgPhoenix1::OnBnClickedSelectall()
{
		m_backupDAT.SetCheck(true);
		m_backupMET.SetCheck(true);
		m_backupINI.SetCheck(true);
		m_backupPARTMET.SetCheck(true);
		m_backupPART.SetCheck(true);
		m_backupNow.EnableWindow(true);

}

void CPPgPhoenix1::Backup3()
{
	WIN32_FIND_DATA FileData; 
	HANDLE hSearch; 
	CString szDirPath = CString(thePrefs.GetConfigDir())+"Backup\\";
	if(!PathFileExists(szDirPath)) return;
	char szNewPath[MAX_PATH]; 

	SetCurrentDirectory(szDirPath);
	BOOL error = FALSE;
	szDirPath = CString(thePrefs.GetConfigDir())+"Backup2\\";

	BOOL fFinished = FALSE; 

	// Create a new directory if one does not exist
	if(!PathFileExists(szDirPath))
		CreateDirectory(szDirPath, NULL);

	// Start searching for files in the current directory. 

	hSearch = FindFirstFile("*.*", &FileData); 
	if (hSearch == INVALID_HANDLE_VALUE) 
	{ 
		error = TRUE;
	} 

	// Copy each file to the new directory 
	while (!fFinished && !error) 
	{ 
		lstrcpy(szNewPath, szDirPath); 
		lstrcat(szNewPath, FileData.cFileName); 

		CopyFile(FileData.cFileName, szNewPath, FALSE);

		if (!FindNextFile(hSearch, &FileData)) 
		{
			if (GetLastError() == ERROR_NO_MORE_FILES) 
			{ 
				//MessageBox("File Copied Successfully.", "BackUp complete", MB_OK); 
				fFinished = TRUE; 

			} 
			else 
			{ 
				error = TRUE;
			} 
		}

	} 

	// Close the search handle. 
	if (!FindClose(hSearch)) 
	{ 
		error = TRUE;
	} 
	if (error)
		MessageBox(GetResString(IDS_BACKUPERROR),"Error",MB_OK);
}


void CPPgPhoenix1::Backup(LPCSTR extensionToBack, BOOL conFirm)  
{
	WIN32_FIND_DATA FileData; 
	HANDLE hSearch; 
	char buffer[200];
	//CString szDirPath = CString(thePrefs.GetAppDir());
	CString szDirPath = CString(thePrefs.GetConfigDir());
	char szNewPath[MAX_PATH]; 

	SetCurrentDirectory(szDirPath);
	BOOL error = FALSE;
	BOOL OverWrite = TRUE;
	szDirPath +="Backup\\";

	BOOL fFinished = FALSE; 

	// Create a new directory if one does not exist
	if(!PathFileExists(szDirPath))
		CreateDirectory(szDirPath, NULL);

	// Start searching for files in the current directory. 

	hSearch = FindFirstFile(extensionToBack, &FileData); 
	if (hSearch == INVALID_HANDLE_VALUE) 
	{ 
		error = TRUE;
	} 

	// Copy each file to the new directory 
	CString str;
	while (!fFinished && !error) 
	{ 
		lstrcpy(szNewPath, szDirPath); 
		lstrcat(szNewPath, FileData.cFileName); 

		if(PathFileExists(szNewPath))
		{
			if (conFirm)
			{
				if (y2All == FALSE)
				{
					sprintf(buffer, GetResString(IDS_BACKUPALREADYEXISTS), FileData.cFileName);
					int rc = ::XMessageBox(m_hWnd,buffer,GetResString(IDS_BACKUPOVERWRITE),MB_YESNO|MB_YESTOALL|MB_ICONQUESTION);
					if (rc == IDYES)
						OverWrite = TRUE;
					else if (rc == IDYESTOALL)
					{
						OverWrite = TRUE;
						y2All = TRUE;
					}
					else 
						OverWrite = FALSE;
				} else
					OverWrite = TRUE;
			} 
			else
				OverWrite = TRUE;
		}	
		if(OverWrite)
			CopyFile(FileData.cFileName, szNewPath, FALSE);

		if (!FindNextFile(hSearch, &FileData)) 
		{
			if (GetLastError() == ERROR_NO_MORE_FILES) 
			{ 
				//MessageBox("File Copied Successfully.", "BackUp complete", MB_OK); 
				fFinished = TRUE; 

			} 
			else 
			{ 
				error = TRUE;
			} 
		}

	} 


	// Close the search handle. 
	if (!FindClose(hSearch)) 
	{ 
		error = TRUE;
	} 
	if (error)
		MessageBox(GetResString(IDS_BACKUPERROR),"Error",MB_OK);
}
//[TPT]- TBH-AutoBackup <--